WESNOTH(6)

NOME
wesnoth — A batalla polo Noroeste, un xogo de estratexia por roldas ambientado nun mundo fantástico.

SINOPSE
wesnoth [OPCIÓNS] [RUTA_AOS_DATOS]

DESCRICIÓN
A batalla polo Noroeste é un xogo de estratexia por roldas ambientado nun mundo fantástico. Derrota a todos os líderes inimigos escollendo sabiamente as tropas e xestionando coidadosamente os recursos de ouro e vilas. Todas as unidades teñen fortalezas e debilidades de seu. Para gañar, desprega as túas forzas de xeito que aproveiten completamente o seu potencial, e impide que os inimigos fagan o mesmo. A medida que as unidades consigan experiencia, adquirirán novas habilidades e volveranse máis fortes. Xoga na lingua que queiras e pon a proba as túas habilidades contra a intelixencia artificial, ou únete á enorme comunidade internacional de xogadores que se reúne en internet. Crea unidades, escenarios ou campañas personalizadas, e compárteo todo co resto da comunidade.

OPCIÓNS

--bpp número
    Establece a cantidade de bits por píxel. Por exemplo: --bpp 32.

-c, --campaign  [<identificador da campaña>]
    Ir directamente á campaña indicada co identificador indicado. Se non se indica un identificador, aparecerá un menú de escolla. Nota: ao empregar esta opción asegúrese tamén de indicar o directorio dos datos como argumento final, ou asumirase que o identificador é dito directorio.

--campaign-difficulty <dificultade>
    A dificultade da campaña indicada (do 1 ao máximo). Se non se especificase, aparecería un diálogo de escolla da dificultade da campaña.

--campaign-scenario <identificador do escenario>
    O identificador do escenario da campaña indicada. De omitirse o parámetro, empregarase o primeiro escenario.

--config-dir nome
    Define nome coma o nome do cartafol da configuración do usuario no seu directorio persoal («$HOME») ou «Os meus documentos\Os meus xogos» en Windows. Tamén podes indicar unha ruta absoluta para o directorio da configuración fóra dos antes mencionados.

--config-path
    Devolve a ruta do directorio da configuración do usuario.

--data-dir <directorio>
    Substitúe o directorio dos datos polo directorio indicado.

-d, --debug
    Activa opcións adicionais no modo de ordes do xogo. Consulta o wiki en «http://wiki.wesnoth.org/CommandMode» (en inglés) para máis información sobre o modo de ordes do xogo.

-e, --editor ficheiro
    Inicia directamente o editor de mapas integrado. Se se indica un ficheiro, fai o mesmo que -l --load.

--fps
    Mostra nunha esquina da pantalla o número de fotogramas por segundo ao que se está executando o xogo.

-f, --fullscreen
    Executa o xogo a pantalla completa.

--gunzip ficheiro_de_entrada.gz
    Descomprime un ficheiro que debería estar en formato GZIP e gárdao sen o sufixo «.gz». Borrarase o ficheiro_de_entrada.gz.

--gzip ficheiro_de_entrada
    Comprime un ficheiro en formato GZIP, gárdao coma ficheiro_de_entrada.gz e borra o ficheiro_de_entrada.

-h, --help
    Devolve un resumo das opcións da liña de ordes.

-l, --load ficheiro
    Carga a partida ficheiro do directorio de partidas estándar. Se tamén se usan as opcións -e ou --editor, iníciase o editor co mapa do ficheiro aberto. Se é un directorio, o editor iniciarase cun diálogo de carga de mapas aberto en dito directorio.

--log-nivel=dominio_1,dominio_2,…
    Establece o nivel de severidade dos dominios do rexistro. Pódese usar all para referirse a calquera dominio do rexistro. Os niveis dispoñíbeis son os seguintes: error (erro), warning (aviso), info (información) e debug (depuración). error é o nivel predeterminado.

--logdomains [filtro]
    Devolve os dominios do rexistro definidos (só os que conteñan o filtro se se usa).

--max-fps
    O número máximo de fotogramas por segundo que pode empregar o xogo. O valor debe estar entre «1» e «1000», sendo 50 o valor predeterminado.

-m, --multiplayer
    Executa unha partida de varios xogadores. Hai opcións adicionais que poden empregarse xunto con --multiplayer tal e como se explica máis abaixo. --multiplayer só pode ir seguido destas opcións adicionais.

--no-delay
    Executa o xogo sen atrasos para probas de rendemento gráfico. Isto actívase automaticamente con --nogui.

--nocache
    Desactiva a caché de datos do xogo.

--nomusic
    Executa o xogo sen música.

--nosound
    Executa o xogo sen sons e sen música.

--path
    Devolve o directorio de datos do xogo.

--preprocess, -p[=<definición_1>,<definición_2>,…] <ficheiro ou cartafol> <directorio_de_destino>
    Preprocesa o ficheiro ou cartafol indicado. O ficheiro ou ficheiros escribiranse no directorio de destino indicado: un ficheiro “cfg” simple e outro procesado. Se se indica un cartafol, preprocesaranse todos os seus contidos baseándose nas regras para o preprocesador coñecidas. Os macros comúns dos directorios dos datos, do núcleo e dos macros preprocesaranse antes que os recursos indicados. definición_1,definición_2,... son as definicións adicionais que se engadirán antes de preprocesar os ficheiros. Se quere engadilas terá que prefixalas co carácter «=». Se «SKIP_CORE» está na lista de definicións o directorio dos datos e o do núcleo non se preprocesarán. Por exemplo: -p ~/wesnoth/data/campaigns/tutorial ~/result ou -p=MULTIPLAYER,MY_OWN_CAMPAIGN ~/wesnoth/data/campaign/camp ~/result.

--preprocess-input-macros <ficheiro_fonte>
    Só o emprega a orde «--preprocess». Especifica un ficheiro con definicións para antes do preprocesamento.

--preprocess-output-macros [<ficheiro_obxectivo>]
    Só o emprega a orde «--preprocess». Devolve todos os macros preprocesados do ficheiro obxectivo. Se non se especifica un ficheiro devolverá os do ficheiro «_MACROS_.cfg» do directorio obxectivo da orde «--preprocess». Este modificador ten que escribirse antes da orde «--preprocess».

-r XxY, --resolution XxY
    Establece a resolución do xogo. Por exemplo: -r 800x600.

-s, --server [máquina]
    Conéctase á máquina especificada se existe, senón conéctase ao primeiro servidor da configuración. Por exemplo: --server server.wesnoth.org.

--strict-validation
    Os erros de corrección trátanse coma erros graves.

-t, --test
    Executa o xogo nun pequeno escenario de proba.

--validcache
    Asume que a caché está ben (perigoso).

-v, --version
    Devolve o número da versión.

-w, --windowed
    Executa o xogo nunha xanela.

--with-replay
    Reproduce a partida cargada coa opción --load.

Opcións para --multiplayer
As opcións para partidas con varios xogadores específicas dun bando márcanse cun número. «número» tense que substituír polo número do bando. Normalmente é «1» ou «2», pero depende do número de xogadores que permita o escenario escollido.

--ai_confignúmero=valor
    Escolle un ficheiro de configuración a cargar para a intelixencia artificial que controla o bando especificado.

--algorithmnúmero=valor
    Fai que a intelixencia artificial do bando indicado empregue o algoritmo non estándar indicado. Os seus posíbeis valores son idle_ai e sample_ai.

--controllernúmero=valor
    Decide quen controla o bando indicado. Os valores dispoñíbeis son: human e ai.

--era=valor
    Usa esta opción para xogar na era seleccionada en vez de na era predeterminada (Default). A era elíxese mediante un identificador. As eras descríbense no ficheiro data/multiplayer/eras.cfg.

--exit-at-end
    Sae do xogo unha vez se remate o escenario, sen mostrar un diálogo de vitoria ou derrota que requira que o usuario prema «Aceptar». Isto tamén se emprega para probas de rendemento automatizadas mediante scripts.

--nogui
    Executa o xogo sen interface gráfica. Debe aparecer antes de --multiplayer para funcionar correctamente.

--parmnúmero=nome:valor
    Establece parámetros adicionais para o bando. Este parámetro depende das opcións usadas con --controller e --algorithm. Só debería resultarlle útil a quen estea a deseñar a súa propia intelixencia artificial (aínda non está completamente documentado).

--scenario=valor
    Selecciona un escenario con varios xogadores polo seu identificador. O identificador do escenario por omisión é multiplayer_The_Freelands.

--sidenúmero=valor
    Escoller unha facción da era actual para bando número número. A facción elíxese mediante un identificador. As faccións descríbense no ficheiro «data/multiplayer.cfg».

--turns=valor
    Establece o número de roldas para o escenario elixido. 50 de maneira predeterminada.

ESTADO AO SAÍR
Se a situación ao saír é normal, o estado ao saír será «0». «1» correspóndese cun erro de inicialización —ben do SDL, da configuración de vídeo, dos tipos de letra, etc—. «2» indica que o erro se produciu coas opcións da liña de ordes.

AUTORES
Autor orixinal: David White <davidnwhite@verizon.net>.
Modificacións posteriores: Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> e Soliton <soliton.de@gmail.com>.
Autor orixinal desta axuda: Cyril Bouthors <cyril@bouthors.org>.
Visite o sitio web oficial: http://www.wesnoth.org/

DEREITOS DE AUTOR
Copyright © 2003-2013, David White <davidnwhite@verizon.net>
Isto é software libre. Este software está protexido polos termos da versión 2 da licenza GNU GPL, tal e como foi publicada pola Free Software Foundation. Non existe NINGUNHA garantía. Nin sequera para o seu USO COMERCIAL ou ADECUACIÓN PARA UN PROPÓSITO PARTICULAR.

VÉXASE TAMÉN
wesnothd(6).